# $Revision: 1.18 $, $Date: 2004/07/09 15:46:23 $
Summary:	Window Maker dock applet that displays current cpuload
Summary(pl):	Monitor obcienia procesora dla Window Makera
Name:		wmcpuload
Version:	1.0.1
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.sh.rim.or.jp/~ssato/src/%{name}-%{version}.tar.gz
# Source0-md5:	93a28a62d31d4b283edd78fffafb0835
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
URL:		http://www.sh.rim.or.jp/~ssato/wmcpuload-e.html
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
Obsoletes:	WMCPULoad
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WMCPULoad is a dockapp to monitor cpu load for Window Maker. It works
fine with AfterStep and BlackBox.

%description -l pl
WMCPULoad do dokowalny graficzny monitor obcienia procesora dla
Window Makera. Mona go uywa z innymi zarzdcami okien, takimi jak
Afterstep czy Blackbox.

%prep
%setup -q
%patch0 -p1

%build
ln -s ../libdockapp src
ln -s ../libdockapp/dockapp.o src/
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS THANKS TODO
%attr(755,root,root) %{_bindir}/wmcpuload
%{_mandir}/man1/wmcpuload.1*
%{_desktopdir}/docklets/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmcpuload.spec,v $
Revision 1.18  2004/07/09 15:46:23  havner
- applnk -> vfolders
- rel 2

Revision 1.17  2003/09/19 16:43:37  baggins
- uncommeted applink

Revision 1.16  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.15  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/15 20:31:34  t0tal
- up to 1.0.1

Revision 1.12  2003/03/10 20:17:57  qboosh
- Obsoletes: WMCPULoad (the old name)

Revision 1.11  2003/02/28 10:09:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.10  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.9  2002/09/28 14:59:34  kloczek
- renamed to wmcpuload,
- commented desktop file,
- finished.

Revision 1.8  2002/09/28 05:50:29  kosmo
- updated to 1.0.0 (STBR)

Revision 1.7  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/10 14:09:18  qboosh
- s/BuildPrereq/BuildRequires/g

Revision 1.2  2001/09/24 16:47:17  migo
- updated to 0.6.0
- removed libdockapp dependency
- %{__install} -> install
- probably needs some ac,am fixes

Revision 1.1  2001/09/23 07:58:56  migo
- from scratch (well, from template)
